API Reference for Marketo Engage

Sync Persons

POST /subscriptions/{munchkinId}/persons

Upsert (insert or update) a list of person/lead records.

Operation ID
syncPersons
Permissions
Read-Write Lead
Request format
application/json
Returns
ErrorResponse

Parameters

Path 1

munchkinId string required

Marketo subscription Munchkin ID

Header 3

X-Mkto-User-Token string required

Marketo API access token

X-Correlation-Id string

Arbitrary string (max 255 characters). Used to trace requests through the system via Marketo Observability Data Stream.

X-Request-Source string

Arbitrary string (max 50 characters). Used to trace the source of requests.

Request body

application/json · required · SyncPersonsRequest · 6 properties

priority string

Priority of the request.

Values normal high

partitionName string

Name of person partition.

dedupeFields DedupeFields

Model DedupeFields

field1 string
field2 string
persons array of Person required

List of attribute name-value pairs for the person.

Responses

202 Accepted – request accepted for async processing

No response body is documented for this status.

400 Bad request ErrorResponse
error_code string

Error code.

message string

Error message.

Generated example
{
  "error_code": "4000801",
  "message": "Bad request"
}
401 Unauthorized – OAuth token is invalid ErrorResponse
error_code string

Error code.

message string

Error message.

Generated example
{
  "error_code": "4000801",
  "message": "Bad request"
}

Referenced models

Generated from swagger-data-ingestion.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results